## 7.2.9 - 2026-06-15

**Editing Page Changes:**
- Added a visual character limit indicator for item prices in the editor.
- Added localized messaging for price character limit warnings.
- Improved save protection for large price lists by checking submitted field counts before saving.
- Improved editor cache handling to reduce stale asset and unsafe save issues.

**Frontend Changes:**
- Fixed category cover image handling after category reordering so images stay attached to the correct category.

**Backend Changes:**
- Fixed price list save payload handling by excluding transient form controls from stored price list data.
- Improved option save failure detection so database write issues are surfaced instead of reporting a false success.

## 7.2.8 - 2026-05-27

**Editing Page Changes:**
- Added a new settings modal for price list configuration, including backup, category, feature, font, general, global, layout, license, QR code, and SEO sections.
- Refactored the price list form layout and navigation for a cleaner editing experience.
- Improved category management with accordion behavior, summary updates, and better initialization for image picker and upload controls when adding categories.
- Enhanced price list name editing and header display behavior.
- Improved form submission handling and preserved selected styles more reliably.

**Settings & License Changes:**
- Added support for storing extra settings from the settings modal.
- Updated license handling to use Ajax and added a permission check for license update requests.
- Improved license and restore settings UI.

**Admin Style Changes:**
- Added and refined admin styles for the settings modal, modal header, settings container, buttons, color labels, and responsive editor header layout.

**Backend & Deployment Changes:**
- Updated settings classes and tab form handling to support the new settings modal structure.
- Added a Cloudflare firewall workaround for GitHub Actions test-site deployments.

## 7.2.7 - 2026-04-09

**Frontend Changes:**
- Fixed long item names and descriptions causing layout overlap in templates 6, 8, and 10.
- Improved template 6 and 8 responsive layouts so two-column listings stack more cleanly on smaller screens.
- Improved template 6 content spacing and description display for items with images and longer text.

**Editing Page Changes:**
- Fixed category prices, item prices, and compare-at prices so formatted values are preserved more reliably when saved.
- Updated price fields to allow slightly longer price text where needed.

**Backend Changes:**
- Improved server-side normalization for price fields to better handle formatted price input.

= 7.2.5 - 2026-02-26
* Compatibility fixes
* Frrontend styles improvement

= 7.2.4 - 2026-01-29
* Compatibility fixes
* Fixed tooltip not showing up in some of the styles

= 7.2.3 - 2025-12-22
* BUG-FIX: Font Selection Modal is Not Responsive and Does Not Adapt to the Screen
* Fixed XSS vulnerablity from authenticated users

= 7.2.2 - 2025-10-21
* [Price List Editor] Fix tablet view of the price list editor
* [Price List Editor] Enhance mobile responsiveness and update footer layout
* [Price List Editor] Add header with license status for tablet/mobile view and adjust CSS for responsive design
* [Price List Editor] Remove redundant CSS for submit button in mobile view
* [Price List Editor] Remove commented-out code in price list form
* Fixed Style 6 images shrinking in some pages

= 7.2.1 - 2025-08-29
* Fixed style one button hover color settings not being applied
* Fixed click to upload button failing after using the save button in the price list editor

= 7.2.0 - 2025-07-14
* fix style 4 category text and item titles text white background
* Add Category Description, and price list description support to Style 6

= 7.1.19 - 2025-06-13
* Bugfix: fix minor issues in style picker in the plugin header

= 7.1.18 - 2025-06-05
* Updated: Plugin footer
* Bugfix: Style 7 - Adjust styles and fix font size for service description
* Bugfix: Setup wizard first step options hide/reveal glitches
* Added: Minimum width to title font style for better layout consistency
* Added: Hover effect on header action buttons
* Fixed: Condition for popular items display in pricelist and GUI improvements
* Fixed: License activation issues on some servers

= 7.1.17 - 2025-03-17
* Bugfix: Fix style2 category title font-size not being applied
* Bugfix: Fix style6 empty price item in the list

= 7.1.15 - 2025-01-23
* Improved: UX improvements for the price list editor

= 7.1.14 - 2025-01-16
* Added: New feature: Pricing Tables
* Fixed: Errors when a price list is being deleted

= 7.1.13 - 2023-12-16
* Bugfix: Style 6 price text not applying color defined in the settings
* refactor: UX improvements for the price list editor

= 7.1.12 - 2023-11-13
* Bugfix: Style 1 overflow issue

= 7.1.11 - 2023-11-05
* Enhanced Security: Implemented measures to prevent Cross-Site Scripting (XSS) vulnerabilities.

= 7.1.10 - 2023-10-13
* Bug Fix: Default tab in Style 6 not filtering out the items belonging to the other categories

= 7.1.9 - 2023-10-1
* refactor: Improved UX for the price list editor
* refactor: Centered images for Style 1
* refactor: Smaller image size for Style 8
* refactor: Style 6 improvements
* refactor: UX improvements for Style 5

= 7.1.8 - 2023-08-26
* Enhanced Security: Implemented measures to prevent Cross-Site Scripting (XSS) vulnerabilities.
* Bug Fix: Resolved an issue where switching to the "All" category in Style 1 did not function as expected.

= 7.1.7 - 2023-07-17
* Compatibility release

= 7.1.6 - 2023-07-17
* Updated links for helpdesk articles, and code cleanup
* bugfix: Fix image remove button and image add feature issues
* Add: Minor UX tweaks for the pricelist editor

= 7.1.5 - 2023-06-25
* bugfix: Fix too large font size on tooltips
* bugfix: Fix price list editor page's UX bugs

= 7.1.4 - 2023-06-02
* Add: Image tooltip support for the pricelist item editor field labels
* Bugfixes: 'Add New' page has better UX and fixes to price list restore feature

= 7.1.3 - 2023-05-15
* Add: pricelist editing page UX experience

= 7.1.2 - 2023-05-09
* Fixes: the color settings are working for all of the styles

= 7.1.1 - 2023-05-02
* Fixes: yellow color on the price text of some styles despite a different color is set

= 7.1.0 - 2023-04-29
* Add: New and improved price list editor page
* Add: New setup wizard feature on the add new price list page
* Fixes: UX improvements on Style 10, 8, 7

= 7.0.22 - 2023-03-13
* Fixes: Style 6 duplicated output on single column
* Fixes: unused CSS cleanup
* Add: image support indicator on style switcher
* Add: search and select support for font picker in the price list editor

= 7.0.21 - 2023-02-21
* Fixes: Style 10 two column breaking on some themes
* Fixes: Style 6 unsequentiual output
* Add: Style 4 improvements

= 7.0.20 - 2023-01-25
* Fixes: Style 4 line height
* Fixes: Impromvements and bugfixes

= 7.0.19 - 2023-12-06
* Fixes: Style 5 single column now outputs sequentially

= 7.0.18 - 2023-11-26
* Fixes: Fixes security issues and improves stability

= 7.0.17 - 2023-11-12
* Added: Improved Style 10, with options to have the category title inside the category cover image, or above the image
* Fixes: Feedback modal keep re-appearing issues

= 7.0.16 - 2023-09-25
* Fixes: Addressed editing page's add category button not working issue

= 7.0.15 - 2023-09-25
* Add: Support for users who have 'edit_posts' capability to be able to edit the price list
* Fixes: jQuery compatibility issue

= 7.0.14 - 2023-09-21
* Add: Improved diagnostics
* Fixes: Resolved PHP Errors

= 7.0.13 - 2023-08-10
* Fixes: Category description color is now working

= 7.0.12 - 2023-08-10
* Fixes: PHP latest version compatibility release

= 7.0.11 - 2023-08-09
* Fixes: Impromvements and resolved PHP errors

= 7.0.10 - 2023-08-01
* Fixes: Impromvements and bugfixes

= 7.0.9 - 2023-08-01
* Added: Support for disabling scroll into view after the category selection

= 7.0.8 - 2023-07-11
* Added: Backend improvement

= 7.0.7 - 2023-04-19
* Added: Compatibility improvement
* Added: New style 10

= 7.0.6 - 2022-12-13
* Added: Bugfixes and Improvements

= 7.0.5 - 2022-09-20
* Added: Bugfixes and Improvements

= 7.0.4 - 2022-08-25
Added: Frontend - added support for preventing keyboard popup when dropdown menu is interacted through a  mobile device

= 7.0.3 - 2022-08-10
* Fixes: Addressed Dropdown choice not selecting the default category, and the 'All' cateogry text in the dropdown

= 7.0.2 - 2022-05-31
* Added: Improved drag and drop experience

= 7.0.1 - 2022-05-24
* Fixes: Fixed Two HTML line breaks showing up on category description
* Fixes: Fixed new category overwriting some other category

= 7.0.0 - 2022-05-17
* Fixes: Style 5, improvements and bugfixes.

= 6.9.9 - 2022-05-06
* Added: Mobile responsive improvements
* Added: Full screen editing page

= 6.9.8 - 2022-03-02
* Fixes: Dashboard - fixed add category button failing to create 8th category
* Fixes: horizontal rule overlapping item title when book now button is used
* Fixes: font loading issue on pages with multiple pricelists
* Fixes: Dashboard - made three column choice show up while style 3 is being used

= 6.9.7 - 2022-02-07
* Fixes: Security enhancements

= 6.9.6 - 2022-02-05
* Fixes: Security enhancements. sanitized user inputs, improvements and bugfixes.

= 6.9.5 - 2022-002-02
* Fixes: Security enhancements. Escaped variables, added nonce.

= 6.9.4 - 2022-01-28
* Fixes: Minor fixes to Styles. 
* Added: Working on adding image support for Styles 1, 2, and 3. 

= 6.9.3 - 2021-12-13
* Fixes: Fixed style 6 single column. Added modal warning if PHP max input vars exceeded. Fixed pricelist not updating on some sites.style 3 book now button hover color fixes. Fixed overflow issue of style 4 on mobile devices

= 6.9.2 - 2021-10-23
* Added: Minor fixes plus added UTM parameters to links.

= 6.9.1 - 2021-09-28
* Added: Bugfixes and Improvements

= 6.9.0 - 2021-09-20
*Added: dropdown witdth and modal tip when 8 or more columns. Added feature for dropdown menu.

= 6.8.14- 2021-09-14
*Fixed: Enhanced security.

= 6.8.13- 2021-08-26
*Added: Fixed preview panel. Added a setting to load CSS everywhere.

= 6.8.12- 2021-08-06
*Added: Bugfixes and Improvements for style 4

= 6.8.11- 2021-07-13
*Added: Bugfixes and Improvements

= 6.8.10- 2021-06-30
*Added: Bugfixes and Improvements

= 6.8.9- 2021-06-23
*Added: Bugfixes and Improvements

= 6.8.8- 2021-06-11
*Fixes: Minor fixes

= 6.8.7- 2021-06-09
*Added: Style 3 column fix. PHP 8 compatibility. Settings UI ReDesign. Style 6 and 7 column fixed when switching from another style. Search bar improvements.

= 6.8.6- 2021-05-25
*Added: Added more pages to notice exclusion. Dashboard - Settings UI Redesign.
*Fixes: Minor fixes.

= 6.8.5- 2021-05-21
*Fixes: PHP 8 compatibility
*Added: UI improvements

= 6.8.4- 2021-05-17
*Fixes: More UI fixes for the dashboard.

= 6.8.3- 2021-05-17
*Fixes: Cleanup admin notices. Dashboard tweaks. style 3 is set to 3 columns if 'Switch & Use Demo Fonts' is choosen

= 6.8.2- 2021-05-07
*Fixes: images not changing after saving the price item

= 6.8.1- 2021-05-03
*Fixes: Small screen devices support. Fixes for Dashboard view

= 6.8.0- 2021-04-24
*Fixes: Lots of improvements. Changed currency system to a new one. Dashboard backend + search bar. Dashboard Fixes.

= 6.7.9- 2021-04-03
*Fixes: Minor performance fixes.

= 6.7.7 - 2021-03-16
*Changed: Changed the width of the category description for Style 7.

= 6.7.6 - 2021-02-22
*Fixed: Bug with buy now button

= 6.7.4 - 2021-01-12
*Added: duplication feature

= 6.7.3 - 2021-01-05
*Fixes: General PHP Errors.

= 6.7.3 - 2020-12-29
*Fixes: Added open in new tab feature for buy now buttons.

= 6.7.1 - 2020-12-15
*Fixes: Minor changes to stay compatible with WordPress 5.6.

= 6.7.0 - 2020-12-17
*Updates: Fixed for WordPress 5.6

= 6.6.9 - 2020-11-20
*Fixes: Freezing in the backend on some websites

= 6.6.8 - 2020-10-26
*Fixes: Deploying unstinall survey

= 6.6.7 - 2020-10-21
*Fixes: Urgent fix for uninstall issue.

= 6.6.5 - 2020-10-15
*Fixes: minor css fixed for white box

= 6.6.4 - 2020-10-14
*Fixes: fix(frontend): descriptions with new line are converted to <br>

= 6.6.3 - 2020-10-13
*Fixes: White background for add a product box, in the backend, to read easier.

= 6.6.2 - 2020-10-13
*Fixes: fix: style 3 alignment issue when using multiple price list in the same page.Frontend Style 7: Padding 0 to Price Tag.fix: misaligned description in style 2 single column. fix: style 5 not respecting font settings.fix: resolved php warnings. wip(backend): on save survey modal.feat: user survey upon save (pages has to be created). fix(frontend): style 4 now has description support

= 6.6.1 - 2020-09-15
*Fixes: Backend Dashboard: Styled the 'Change Style Buttons', fix: made modal width bigger #task 18, ✔ Changed the wording of the action buttons
✔ Fixed image blurry with CSS, ✔ Fixed responsiveness with margin-left: 20%, ✔ Uploaded new images that are more centered

= 6.6.0 - 2020-09-04
*Fixes: Major fixes to make styles 1,2,3,3,5,7 more mobile friendly.

= 6.5.6 - 2020-07-21
*Fixes: fix(frontend): patched css rules regarding detailed view, fix: add back division support, fix: patch for detail view on stylish cost calculator.com, fix(frontend): padding issue on generated PDF

= 6.5.5 - 2020-07-21
*Fixes: Added missing bootstrap file.

= 6.5.4 - 2020-07-17
*Fixes: tuned up style #7, fixed padding on Style #5, css class wrappers to avoid errors, removed some important tags.

= 6.5.3 - 2020-07-13
*Fixes: renamed bootstrap scripts, feat: style 7, fix: crash when deactivating license while scc is activated, renamed class 'row' to 'df=spl-row', fix: improved renaming of row classes, fix: removed padding, shodow, description is aligned left, fix: mobile view alignment, bumped scripts version

= 6.5.2 - 2020-06-23
*Fixes: Made it PHP 5.4 compatible.

= 6.5.1 - 2020-05-29
*Fixes: Fixed backup and restore.

= 6.5.0 - 2020-05-26
*Fixes: Fixed a license issue, adding tutorial guide link for adding the shortcode.

= 6.3.3 - 2020-05-07
*Fixes: Support links. Removed email.

= 6.3.1 - 2020-05-01
*Fixes: Fixed one line with the licensing server update.

= 6.3.1 - 2020-04-30
*Fixes: Updated licensing server.

= 6.3.0 - 2020-04-17
*Fixes: fix: eliminate php warnings. fix: some dropdown items setting themselves to last value. fix: typo and more isset fix

= 6.2.7 - 2020-04-10
*Fixes: Fixed link in footer, Fixed logo size for header. Style 5 padding Issue fixed, Fixed issues related to notice. fix: patch against undefined index

= 6.2.6 - 2020-02-13
*Fixes: Improved Style 4 bar style.

= 6.2.5 - 2020-02-11
*Fixes: Improved the mobile look of style 5.

= 6.2.4 - 2020-01-31
*Fixes: description improvement (allows qoutes) adnd multi paragraphs typing enter key, style5 new subcategories, backup and restore font settings improved,
jQuery symbol error improvement, Changed hr height, changed padding on Style 5., Make dynamic font settings option for #style 2 single column, tab description category feature added

= 6.2.3 - 2019-12-05
*Fixes: Conflict in backend.

= 6.2.2 - 2019-11-20
*Added: Adding default styling to Style 1.

= 6.2.0 - 2019-11-14
*Fixes: Fixed services dragging inside the cateogories. Fixed 10 different Variable Extraction Errors.

= 6.2.0 - 2019-11-09
*Fixes: Fixed category and services drag and drop.

= 6.1.9 - 2019-11-05
*Fixes: wp_create_nonce, improved mutiple notices and warnings.

= 6.1.8 - 2019-10-30
*Fixes: Removed space at bottom of php file

= 6.1.7 - 2019-10-28
*Fixes: jQuery error with $

= 6.1.6 - 2019-10-22
*Fixes: More fixes for sorting the categories.

= 6.1.5 - 2019-10-18
*Fixes: Category rearrangement issue with services not going under the right category with drag and drop. Some security fixes.

= 6.1.3 - 2019-10-11
*Fixes: Category length for style 2. Fixed style 6 image displacement.

= 6.1.2 - 2019-10-09
*Added: Fixed an  issue with Style 6.

= 6.1.1 - 2019-09-26
*Added: Fixed up Style 6 to have no borders.

= 6.1.0 - 2019-09-14
*Added: Stylish Price List style 6. Added Drag and drop for the backend to organize categories and more.

= 6.0.5 - 2019-07-18
*Updates: Fixed PHP errors. Fixed style 3 columns.

= 6.0.4 - 2019-06-27
*Updates: Fixed style 3 alignment.

= 6.0.3 - 2019-06-17
*Updates: Fixed  another small PHP errors related to class not assigned

= 6.0.2 - 2019-06-04
*Updates: Fixed  another small PHP error

= 6.0.1 - 2019-05-29
*Updates: Fixed PHP errors

= 6.0 - 2019-05-23
*Updates: Added column width selection. Added option to change total width.

= 5.94 - 2019-05-02
*Updates: Fixed columns on Style 3.

= 5.91 - 2019-04-27
*Updates: Added a single column style to Style #2.

= 5.8 - 2019-04-02
*Updates: Updated to a more recent bootstrap.

= 5.75 - 2019-03-30
*Updates: Added diagnostic button!

= 5.6 - 2019-03-23
*Updates: Added title to style 2. Added PHP security. Fixed global css issue. Removed call back to server.

= 5.3 - 2019-03-11
*Updates: Consolidated CSS for faster performance.

= 5.1 - 2019-03-05
*Updates: Added version numbers to CSS.  Fixed some responsive issues. Fixed Book Now feature padding.

= 5.0 - 2019-02-28
*Updates: Added "book now" feature. You can add a Buy or Book Now button to any style.

= 4.8.7 - 2019-01-12=
*Updates: Fixed style #1 - #5 styling. Added chat support. Changes related to default font for style 1 and style 5
Default font size functionality for style 2, style 3 and style 4. Changes related to h3 tag, style 5 design correction and style 3 font Issue.


= 4.8.4 - 2019-01-12=
*Updates: Fixed style #5 styling

= 4.8.2 - 2019-01-03=
*Updates: Added mockup images

= 4.8.1 - 2018-12-11=
*Updates: Added target blank to links

= 4.8 - 2018-12-04=
*Updates: Fixed Style 3 again.

= 4.7 - 2018-11-30=
*Updates: In SPL, video popup issue on pageload, styles image issue & category tabs font color issue fixed.
License key error issue & site-origin plugin warning issue fixed.
Style 3, masonary issue fixed.
Fixed the issue of price tag width & seperator line thickness in Style 5.

= 4.6 - 2018-11-22=
*Updates: Fixed left alignment issue.

= 4.5 - 2018-11-20=
*Updates: Updated plugin to be compatible with the latest WordPress version (5.0) that wil be releasing soon.

= 4.2.3 - 2018-11-06=
*Fixes: Fixed various PHP issues and turned off video autoplay

= 4.2.2 - 2018-10-12 =
* Updates: Fixed Style #5 issues

= 4.2.1 - 2018-10-10 =
* Updates: Updated footer and contact buttons

= 4.2.0 - 2018-09-27 =
* Updates: Added Style $5. Our favourite one so far!

= 4.1.9 - 2018-09-20 =
* Fixes: Some minor bugs

= 4.1.8 - 2018-09-19 =
* Fixes: Some minor bugs

= 4.1.4 - 2018-09-14 =

* Updated: Fixed styling issue for bullet points on style 4.

= 4.1.3 - 2018-09-13 =

* Updated: Made some major backend changes for a better admin user experience. Fixed some bugs.

= 4.1.2 - 2018-08-23 =

* Updated: Small sytling changes. Character fixes for Europe.



= 4.1.1 - 2018-08-09 =

* Updated: Fixing white screen bug.



= 4.1.0 - 2018-08-03 =

* Updated: Added category descriptions to style #2, #3. Re-designed the style #4 to be two columns. Fixed some medium

sized bugs.



= 4.0.3 - 2018-07-26 =

* Updated: Fixed some minor bugs. Added support for certain language characters. Added warning messge for using small fonts.



= 4.0.2 - 2017-07-24 =

* Updated: Last update was missing files. My apologies.



= 4.0.1 - 2017-07-23 =

* Updated: Fixed a bug with the save button. Added a fourth style. Added an option to change the display of style #3 on desktops and laptops to

either cause a line break (fluid) for the placement of the categories.



= 3.6.8 - 2017-05-11 =

* Updated: Fixed padding issue for Style #3 on tablet views.



= 3.6.7 - 2018-04-27 =

* Updated: Fixed define bug.



= 3.6.6 - 2018-03-30 =

* Updated: Small updates to admin panel for mobile views.



= 3.6.5 - 2018-03-30 =

* Updated: Fixed default styling tab to be off.



= 3.6.3 - 2018-03-30 =

* Updated: Fixed font awesome (missing from repo) update issue.



= 3.6.2 - 2018-03-29 =

* Updated: Added third style. Added another setting (optional) for Style #1 to add a

fancy looking button for category tabs.



= 3.4.4 - 2018-03-15 =

* Updated: Fixed a bug with price list descriptions



= 3.4.3 - 2018-03-08 =

* Updated: Fixed a styling issue with descriptions.



= 3.4.1 - 2018-03-08 =

* Updated: Added a second styling option. Added an option to change the all

button for those who display their list in other languages.



= 3.3.0 - 2018-02-21 =

* Updated: Updated help section.



= 3.2.9 - 2017-12-26 =

* Updated: Fixed bug that didn't allow three seperate price lists on the page.



= 3.2.8 - 2017-12-08 =

* Updated: Fixed css spacing issue on a few themes.



= 3.2.7 - 2017-11-15 =

* Updated: Added Japense character support.



= 3.2.6 - 2017-11-06 =

* Updated: Added extra help section.



= 3.2.5 - 2017-10-06 =

* Updated: Fixed major bug with serial activiation.



= 3.2.4 - 2017-10-04 =

* Updated: Fixed preview feature. Added option to display list without tabs. Just leave the category name blank.



= 3.2.3 - 2017-9-21 =

* Updated: Added preview feature to editing of price list screen.



= 3.2.2 - 2017-9-20 =

* Updated: Added help feature to sub menu.



= 3.2.1 - 2017-9-19 =

* Updated: Changing classes and IDs to avoid theme conflicts.



= 3.2.0 - 2017-9-17 =

* Updated: Fixed some bugs.



= 3.1.9 - 2017-9-12 =

* Updated: Made an error wit last update.



= 3.1.8 - 2017-9-12 =

* Updated: Minor bug fixes.



= 3.1.7 - 2017-9-11 =

* Updated: Minor bug fixes.



= 3.1.5 - 2017-9-01 =

* Updated: Added toggle feature for category seperator symbol.



= 3.1.4 - 2017-8-01 =

* Updated: Fixed design of admin panel more. Added categories color changing option.



= 3.1.2 - 2017-7-18 =

* Updated: Fixed design of admin panel



= 3.1.1 - 2017-7-17 =

* Updated: added links to purchase pro version



= 3.0.0 - 2017-7-15 =

* Updated: added defaul tab feature



= 2.0.8 - 2017-6-28 =

* Updated: fixed the bug of double quotes and single quotes



= 2.0.6 - 2017-6-20 =

* Updated: minor changes to header in admin area



= 2.0.5 - 2017-6-20 =

* Updated: minor changes to header in admin area



= 2.0.4 - 2017-6-18 =

* Updated: remove these php start end tag because it broken Yoast SEO sitemap_index.xml



= 2.0.3 - 2017-6-10 =

* Updated: updated Author URI in the stylish-price-list.php



= 2.0.2 - 2017-5-18 =

* Added: readme.txt, changelog.txt, Plugin URI, Author URI



= 2.0.1 - 2017-5-15 =

* Added: Minor bugs fixed



= 2.0.0 - 2017-5-10 =

* Added: License support feature

* Added: Google Fonts



= 1.0.0 - 2017-5-4 =

* Full Features are ready
